Bug 477719 - Review Request: lxsession-edit - Simple GUI to configure what’s automatically started in LXDE
Review Request: lxsession-edit - Simple GUI to configure what’s automatically...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2008-12-22 22:03 EST by Christoph Wickert
Modified: 2009-06-13 15:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 08:53:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sven: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-12-22 22:03:19 EST
Spec URL: http://cwickert.fedorapeople.org/review/lxsession-edit.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxsession-edit-0.1-1.fc11.src.rpm
Description: LXSession-edit is a tool to manage freedesktop.org compliant desktop session autostarts. Currently adding and removing applications from the startup list is not yet available, but it will be support in the next release.
Comment 1 Sven Lankes 2009-02-22 12:01:49 EST
Package Review                                 
==============                                 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.                                        
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: f11/x86_64
 [x] Rpmlint output:
     source RPM: empty       
     binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct 
 [x] Package is licensed with an open-source compatible license and meets other 
legal requirements as defined in the legal section of Packaging Guidelines. 
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in 
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 9477866298ef15bfee054d6dae1d59c9ead102f4  lxsession-edit-0.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines. 
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f10/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

*** APPROVED ***
Comment 2 Christoph Wickert 2009-02-22 15:13:04 EST
New Package CVS Request
=======================
Package Name: lxsession-edit 
Short Description: Simple GUI to configure what’s automatically started in LXDE
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-02-24 15:56:28 EST
cvs done.
Comment 4 Christoph Wickert 2009-02-25 08:53:54 EST
lxsession-edit-0.1-1.fc10 successfully moved from dist-f10-updates-candidate into dist-f9-updates by bodhi

lxsession-edit-0.1-1.fc9 successfully moved from dist-f9-updates-candidate into dist-f9-updates by bodhi

(somehow bodhi fails to update bugzilla)
Comment 5 Fedora Update System 2009-02-25 11:24:56 EST
lxsession-edit-0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-02-25 11:26:00 EST
lxsession-edit-0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Christoph Wickert 2009-05-22 21:45:10 EDT
Package Change Request
======================
Package Name: lxsession-edit
New Branches: EL-4 EL-5
Owners: cwickert
Comment 8 Kevin Fenzi 2009-05-23 01:30:59 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.